%define _version	%(echo %{version} | sed -e 's/\\.//g')

Name:		scite
Version:	3.5.0
Release:	%mkrel 4
Summary:	SCIntilla based GTK+3 text editor
Group:		Editors
License:	MIT
Url:		http://www.scintilla.org/SciTE.html
Source0:	http://download.sourceforge.net/scintilla/%{name}%{_version}.tgz
Patch0:		scite-3.4.4-mga-desktop-file.patch
Patch1:		scite-3.4.4-mga-use-system-scintilla.patch

BuildRequires:	gtk+3-devel
BuildRequires:	pkgconfig(scintilla) = %{version}

%description
SciTE is a SCIntilla based Text Editor. Originally built to demonstrate
Scintilla, it has grown to be a generally useful editor with facilities for
building and running programs.

%prep
%setup -q -c
%apply_patches

%build
%make OPTFLAGS="%{optflags}" GTK3=1 -C scite/gtk

%install
%makeinstall_std GTK3=1 -C scite/gtk
ln -s SciTE %{buildroot}%{_bindir}/scite

# move and rename icon
mkdir -p %{buildroot}%{_iconsdir}/hicolor/48x48/apps
mv %{buildroot}%{_datadir}/pixmaps/Sci48M.png %{buildroot}%{_iconsdir}/hicolor/48x48/apps/%{name}.png

%files
%doc scite/README scite/License.txt
%{_bindir}/SciTE
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/applications/SciTE.desktop
%{_iconsdir}/hicolor/48x48/apps/%{name}.png


%changelog
* Sat Feb 06 2016 umeabot <umeabot> 3.5.0-4.mga6
+ Revision: 941169
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 3.5.0-3.mga5
+ Revision: 750894
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 3.5.0-2.mga5
+ Revision: 689068
- Mageia 5 Mass Rebuild

* Tue Aug 26 2014 anaselli <anaselli> 3.5.0-1.mga5
+ Revision: 668478
- new version 3.5.0

* Mon Aug 04 2014 akien <akien> 3.4.4-1.mga5
+ Revision: 659590
- Version 3.4.4
- Use system-wide scintilla instead of bundled one

* Mon Oct 21 2013 umeabot <umeabot> 3.3.5-2.mga4
+ Revision: 541170
- Mageia 4 Mass Rebuild

* Fri Oct 11 2013 matteo <matteo> 3.3.5-1.mga4
+ Revision: 495296
- new version 3.3.5

* Sat Jun 22 2013 matteo <matteo> 3.3.3-1.mga4
+ Revision: 445598
- new version (3.3.3)

* Mon Mar 25 2013 matteo <matteo> 3.2.5-1.mga3
+ Revision: 405206
- new version

* Tue Feb 05 2013 matteo <matteo> 3.2.4-1.mga3
+ Revision: 394744
- new version

* Mon Jan 14 2013 umeabot <umeabot> 3.2.3-2.mga3
+ Revision: 381879
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Oct 26 2012 matteo <matteo> 3.2.3-1.mga3
+ Revision: 310368
- new version

* Wed Sep 12 2012 matteo <matteo> 3.2.2-1.mga3
+ Revision: 292471
- new version

* Tue May 01 2012 matteo <matteo> 3.1.0-1.mga2
+ Revision: 234439
- new version
  - upstream includes fix to scroll mask bug
  - few other bugs fixed

* Fri Apr 13 2012 matteo <matteo> 3.0.4-1.mga2
+ Revision: 230564
- deleted wrong patch of the gtk makefile
- fixed makeinstall_std arguments
- spec file cleaned
- fixed gtk makefile bug not allowing desktop file installation
- added desktop file patch
- fixed mouse wheel scroll bug
- new version
  - built against gtk3 rather than gtk2
- new version

* Wed Sep 28 2011 matteo <matteo> 2.29-1.mga2
+ Revision: 149694
- upgrade to 2.29
- replaced commands with macros
- imported package scite


* Mon Jul 04 2011 Matteo Pasotti <pasotti.matteo@gmail.com> 2.22-1
- spec file created 
